Subject: Re: [sacm] Consensus Call: Choosing an IM Expression Syntax

From: John Strassner <[email-masked]>
Date: Thu, 7 Jan 2016 01:08:12 +0000

+1

Now, if you want specificity, then I would recommend using a formal constraint language, such as OCL 2.4 (though personally, I prefer Alloy). While I empathize with the desire to make things readable, there are simply too many ambiguities in using English

regards,
John 

-----Original Message-----
From: sacm [mailto:[email-masked]] On Behalf Of Iain Bell
Sent: Tuesday, December 29, 2015 6:58 PM
To: Adam Montville
Cc: Leif Johansson; [email-masked]
Subject: Re: [sacm] Consensus Call: Choosing an IM Expression Syntax

For what it's worth ( if anything at such a late stage) I think uml is the way forward. It has its limitations however at least these are quantifiable. Where as plain old English is anything but plain

Sent from my iPhone

> On 29 Dec 2015, at 19:50, Adam Montville <[email-masked]> wrote:
> 
> Contributor hat on: I’m going to +1 for plain English as well. 
> 
>> On Dec 29, 2015, at 1:47 PM, Leif Johansson <[email-masked]> wrote:
>> 
>> On 2015-12-29 20:08, Adam W. Montville wrote:
>>> Ok.  It seems that we've got a couple of people in favor of UML (Option
>>> 3), one in favor of the Information Model for Large-Scale Measurement
>>> Platforms (Option 2), and a couple in favor of plain English (Option 5).
>>> 
>>> Given the information at hand, we've got either UML or plain English at
>>> play.  I generally prefer something more strucutred, like UML, but I am
>>> also sensitive to the complications using UML may introduce (as pointed
>>> out by David Harrington and Jim Schaad). 
>>> 
>>> At this point, I'd like to ask one follow-up question.  Who objects to
>>> plain English for our preferred method of expressing the information model?
>> 
>> I'll go on record with a +1 for plain English because it hopefully helps
>> the WG to focus on content.
>> 
>>    Cheers Leif
>>    
>> 
>> _______________________________________________
>> sacm mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/sacm
> 
> _______________________________________________
> sacm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sacm

_______________________________________________
sacm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sacm